\chapter{The Advanced Encryption Standard}

\setlength{\epigraphwidth}{0.8\textwidth}

\epigraph{Perfection is achieved, not when there is nothing more to add, but
  when there is nothing left to take away.}{Antoine de Saint-Exupéry, \\
  Airman's Odyssey}

\noindent
The Advanced Encryption Standard (AES) is presently one of the most popular
block ciphers used for symmetric encryption. The original name of the cipher is
Rijndael, based on the names of two cryptographers---Joan Daemen and Vincent
Rijmen---who originally designed the cipher. In 1997, the U.S. National
Institute of Standards and Technology (NIST) announced the development of the
AES and subsequently organized an open competition, which the Rijndael cipher
won. NIST published the cipher as the Federal Information Processing Standard
(FIPS) 197 \cite{fips} in 2001. The AES effectively superseded the previous Data
Encryption Standard (DES).

\input{chapters/aes/structure}

\input{chapters/aes/subbytes}

\input{chapters/aes/shiftrows}

\input{chapters/aes/mixcols}

\input{chapters/aes/key_schedule}

\input{chapters/aes/small_scale}

\input{chapters/aes/equation_systems}
